package webdb.sample.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import webdb.sample.entity.User;
import webdb.sample.logic.UserLogic;

public class ApproveRegistrationAction extends Action {

    private UserLogic userLogic;

    public final ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        String key = request.getParameter("key");
        User user = userLogic.approveRegistration(key);
        if (user != null) {
            request.setAttribute("user", user);
            return mapping.findForward("success");
        } else {
            return mapping.findForward("failure");
        }
    }

    public void setUserLogic(UserLogic userLogic) {
        this.userLogic = userLogic;
    }
}
