package webdb;

import org.apache.commons.mail.Email;
import org.apache.commons.mail.EmailException;
import org.apache.commons.mail.SimpleEmail;

public class CommonsEmailDemo {

    public static void main(String[] args) {
        Email mail = new SimpleEmail();
        mail.setHostName("smtp.example.com");
        mail.setCharset("ISO-2022-JP");
        try {
            mail.addTo("tohsaki@example.com", "遠崎 寿義");
            mail.setFrom("otsuka@example.com", "大塚 知洋");
            mail.setSubject("休暇届け");
            mail.setContent("明日から一ヶ月休みます。探さないでください。",
                    "text/plain; charset=ISO-2022-JP");
            mail.send();
        } catch (EmailException e) {
            e.printStackTrace();
        }
    }

}
